Skip to content
Search
K
Main Navigation
Suggestion or improvement
Uptime
Portal
Appearance
Menu
Return to top
On this page
Book a product
PUT
/v1/rezdy/booking/{product_id}
Book a product
Authorizations
api_key
Type
API Key (header: X-Api-Key)
Parameters
Path Parameters
product_id
*
Type
string
Required
Request Body
application/json
Schema
JSON
JSON
{
"orderNumber"
:
null
,
"status"
:
"string"
,
"resellerId"
:
null
,
"resellerName"
:
null
,
"resellerAlias"
:
null
,
"customer"
:
{
"firstName"
:
null
,
"lastName"
:
null
,
"email"
:
null
,
"mobile"
:
null
,
"phone"
:
null
,
"preferredLanguage"
:
null
,
"addressLine"
:
null
,
"postCode"
:
null
,
"countryCode"
:
null
,
"dob"
:
null
}
,
"items"
:
[
{
"productCode"
:
"string"
,
"totalQuantity"
:
0
,
"quantities"
:
[
{
"optionLabel"
:
"string"
,
"value"
:
0
,
"optionPrice"
:
0
}
]
,
"participants"
:
[
{
"fields"
:
[
{
"label"
:
"string"
,
"value"
:
"string"
}
]
}
]
,
"productName"
:
null
,
"externalProductCode"
:
null
,
"startTime"
:
null
,
"endTime"
:
null
,
"startTimeLocal"
:
null
,
"endTimeLocal"
:
null
,
"amount"
:
null
}
]
,
"totalAmount"
:
null
,
"totalCurrency"
:
null
,
"totalPaid"
:
null
,
"comments"
:
null
,
"internalNotes"
:
null
,
"fields"
:
[
{
"label"
:
"string"
,
"value"
:
"string"
}
]
,
"resellerComments"
:
null
,
"resellerReference"
:
null
}
Responses
200
400
OK
Content-Type
application/json
Schema
JSON
JSON
{
"bookings"
:
[
{
"orderNumber"
:
"string"
,
"resellerComments"
:
null
,
"internalNotes"
:
null
}
]
}
PUT
/v1/rezdy/booking/{product_id}
Playground
Server
Select a server...
Authorization
api_key
Variables
Key
Value
product_id
*
Body
Try it out
Samples